*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  text-decoration: none;
  font-weight: 900;
}

body {
  background: url("../img/windows_xp.jpg");
  height: 100vh;
  display: grid;
  place-items: center;
  position: relative;
  overflow: hidden;
  font-family: "Arial", sans-serif;
  color: white;
}

.container {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.start-hack {
  --height: 5rem;
  background: rgba(255, 255, 255, 0.6);
  border: 2px solid #003C74;
  /* height: var(--height); */
  height: 60px;
  /* width: 100%; */
  width: 20%;
  margin: 10px;
  /* color: #000; */
  color: #fff;
  border-radius: 5px;
  letter-spacing: 1px;
  font-size: 24px;
  box-sizing: border-box;
  user-select: none;
  position: relative;
  font-weight: 600;
}

.play-buttons
{
  text-align: center;
}

.start-hack:hover {
  box-shadow: inset 0 0 0 3px #8DADE9;
}

#back {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 40px;
  height: 40px;
  left: -300px;
  top: 15px;
  box-sizing: border-box;
  background: linear-gradient(125deg, rgba(255, 255, 255, 0.6), #1324d1);
  border: 1px solid rgba(255, 255, 255, 0.8);
  border-radius: 8px;
  color: #fff;
  cursor: pointer;
  user-select: none;
  z-index: 999;
  animation: show-home 0.3s ease forwards;
  animation-delay: 0.5s;
  transition: box-shadow 0.085s linear;
}

#back::before {
  content: "";
  position: absolute;
  width: 16px;
  height: 16px;
  border-radius: 50%;
  background: rgba(255, 255, 255, 0.4);
  top: 3px;
  left: 3px;
  filter: blur(6px);
}

#back:hover {
  box-shadow: 0 0 4px rgba(255, 255, 255, 0.4),
    inset 0 0 8px rgba(255, 255, 255, 0.4);
}

@keyframes show-home {
  0% {
    left: -300px;
  }
  100% {
    left: 15px;
  }
}

.options {
  font-size: 14px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 1.5rem;
  margin-top: 20px;
}

.options div{
  font-weight: 600;
}

.options:first-child {
  justify-content: flex-start;
}

.checkbox {
  display: grid;
  appearance: none;
  -moz-appearance: none;
  -webkit-appearance: none;
  height: 1.35em;
  width: 1.35em;
  color: currentColor;
  border-radius: 3px;
  border: 1px solid currentColor;
  place-content: center;
  translate: 0 1px;
}

.checkbox::before {
  content: "";
  box-shadow: inset 1em 1em currentColor;
  clip-path: polygon(14% 44%, 0 65%, 50% 100%, 100% 16%, 80% 0, 43% 62%);
  transform: scale(0);
  transform-origin: center center;
  transition: transform 0.1s ease-in-out;
  width: 0.85em;
  height: 0.85em;
}

.checkbox:checked::before {
  transform: scale(1);
}

.hack-box {
  width: 100vw;
  height: 100vh;
  /* background: #f2f2f2; */
  background: #222222;
  /* border: 3px solid #1324d1; */
  border-bottom-left-radius: 3px;
  border-bottom-right-radius: 3px;
  padding: 10px 25px;
  position: relative;
  margin-bottom: 2rem;
  box-sizing: border-box;
  opacity: 0.95;
}

.hack-header {
  position: absolute;
  top: -1.75rem;
  left: -3px;
  width: 720px;
  display: flex;
  padding: 0 8px;
  box-sizing: border-box;
  font-size: 14px;
  border: 3px solid #1324d1;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  justify-content: space-between;
  align-items: center;
  background: #1324d1;
  color: rgb(255, 255, 255);
  isolation: isolate;
}

.hack-header::before {
  content: "";
  position: absolute;
  top: -2px;
  left: 8px;
  height: 2px;
  width: 98%;
  background: rgba(255, 255, 255, 0.6);
  filter: blur(2px);
}

.hack-header::after {
  content: "";
  position: absolute;
  bottom: -2px;
  left: 8px;
  height: 4px;
  width: 98%;
  background: rgba(255, 255, 255, 0.6);
  filter: blur(3px);
}

.hack-header .buttons {
  height: 22px;
  display: flex;
  gap: 1px;
}

.name{
  font-size: 14px;
  font-weight: 600;
}

.bg {
  position: absolute;
  width: 98%;
  height: 100%;
  background: #004aed;
  z-index: -1;
  filter: blur(4px);
}

.button {
  height: 100%;
  display: grid;
  place-content: center;
  padding-bottom: 8px;
  padding-right: 2px;
  border-radius: 4px;
  border: 1px solid rgba(255, 255, 255, 0.7);
  width: 22px;
  background: linear-gradient(125deg, rgba(255, 255, 255, 0.4), #1324d1);
  font-size: 14px;
  color: #fff;
  box-shadow: 0 0 1px rgba(255, 255, 255, 0.5);
  box-sizing: border-box;
  cursor: pointer;
  position: relative;
}

.button::before {
  content: "";
  position: absolute;
  width: 6px;
  height: 6px;
  background: rgba(255, 255, 255, 0.8);
  top: 2px;
  left: 2px;
  filter: blur(4px);
}

.button:hover {
  box-shadow: 0 0 2px rgba(255, 255, 255, 0.5),
    inset 0 0 6px rgba(255, 255, 255, 0.5);
}

#mini::before {
  content: "";
  position: absolute;
  height: 3px;
  width: 50%;
  background: #fff;
  bottom: 4px;
  left: 3px;
}

#close {
  padding-bottom: 0;
  padding-right: 0;
  background: #de4801;
}

#resize::before {
  content: "";
  position: absolute;
  width: 12px;
  height: 8px;
  left: 15%;
  top: 3.5px;
  border-radius: 2px;
  border: 1px solid #ffffff;
  border-top: 4px solid #ffffff;
}

#resize:hover::before {
  border-color: #fff;
}

.hack-info {
  /* color: #000; */
  color: #fff;
  height: 300px;
  width: 100%;
  text-align: center;
  translate: 0 100%;
}

.hack-title {
  /* color: #000; */
  color: #fff;
  margin-top: 15px;
  width: 100%;
  margin-bottom: 30px;
  text-align: center;
}

#hack-title-text {
  font-size: 18px;
  font-family: "Windows", sans-serif;
}

#hack-info-text {
  font-size: 18px;
  font-family: "Windows", sans-serif;
}

.hack-footer {
  position: absolute;
  bottom: 15px;
  width: 660px;
}

.progress-bar {
  width: 100%;
  height: 15px;
  border: 2px solid #757375;
  border-radius: 15px;
  margin-block: 20px 15px;
  display: none;
}

#progress-bar-fn {
  position: relative;
  height: 94%;
  background: #2cdc64;
  border-radius: 15px;
}

.hack-fn {
  position: relative;
  margin: 0 auto;
  height: 570px;
  width: 1400px;
  /* border: 1px solid #000; */
  border: 1px solid #fff;
  border-radius: 5px;
  translate: 0 15px;
}


/* LOADING */

@keyframes ldio-0qy1ypy6nn1l {
  0% {
    opacity: 1;
    backface-visibility: hidden;
    transform: translateZ(0) scale(1.5,1.5);
  } 100% {
    opacity: 0;
    backface-visibility: hidden;
    transform: translateZ(0) scale(1,1);
  }
}
.ldio-0qy1ypy6nn1l div > div {
  position: absolute;
  width: 24px;
  height: 24px;
  border-radius: 50%;
  background: #ff727d;
  animation: ldio-0qy1ypy6nn1l 1s linear infinite;
}.ldio-0qy1ypy6nn1l div:nth-child(1) > div {
  left: 148px;
  top: 88px;
  animation-delay: -0.875s;
}
.ldio-0qy1ypy6nn1l > div:nth-child(1) {
  transform: rotate(0deg);
  transform-origin: 160px 100px;
}.ldio-0qy1ypy6nn1l div:nth-child(2) > div {
  left: 130px;
  top: 130px;
  animation-delay: -0.75s;
}
.ldio-0qy1ypy6nn1l > div:nth-child(2) {
  transform: rotate(45deg);
  transform-origin: 142px 142px;
}.ldio-0qy1ypy6nn1l div:nth-child(3) > div {
  left: 88px;
  top: 148px;
  animation-delay: -0.625s;
}
.ldio-0qy1ypy6nn1l > div:nth-child(3) {
  transform: rotate(90deg);
  transform-origin: 100px 160px;
}.ldio-0qy1ypy6nn1l div:nth-child(4) > div {
  left: 46px;
  top: 130px;
  animation-delay: -0.5s;
}
.ldio-0qy1ypy6nn1l > div:nth-child(4) {
  transform: rotate(135deg);
  transform-origin: 58px 142px;
}.ldio-0qy1ypy6nn1l div:nth-child(5) > div {
  left: 28px;
  top: 88px;
  animation-delay: -0.375s;
}
.ldio-0qy1ypy6nn1l > div:nth-child(5) {
  transform: rotate(180deg);
  transform-origin: 40px 100px;
}.ldio-0qy1ypy6nn1l div:nth-child(6) > div {
  left: 46px;
  top: 46px;
  animation-delay: -0.25s;
}
.ldio-0qy1ypy6nn1l > div:nth-child(6) {
  transform: rotate(225deg);
  transform-origin: 58px 58px;
}.ldio-0qy1ypy6nn1l div:nth-child(7) > div {
  left: 88px;
  top: 28px;
  animation-delay: -0.125s;
}
.ldio-0qy1ypy6nn1l > div:nth-child(7) {
  transform: rotate(270deg);
  transform-origin: 100px 40px;
}.ldio-0qy1ypy6nn1l div:nth-child(8) > div {
  left: 130px;
  top: 46px;
  animation-delay: 0s;
}
.ldio-0qy1ypy6nn1l > div:nth-child(8) {
  transform: rotate(315deg);
  transform-origin: 142px 58px;
}
.loading {
  width: 200px;
  height: 200px;
  display: inline-block;
  overflow: hidden;
  /* background: none; */
  position: absolute;
  top: calc(50% - 100px);
  left: calc(50% - 100px);
}
.ldio-0qy1ypy6nn1l {
  width: 100%;
  height: 100%;
  position: relative;
  transform: translateZ(0) scale(1);
  backface-visibility: hidden;
  transform-origin: 0 0; /* see note above */
}
.ldio-0qy1ypy6nn1l div { box-sizing: content-box; }
/* generated by https://loading.io/ */

/* LOADING */

#loading
{
  visibility: visible;
}

#canvas
{
  visibility: hidden;
}
